## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond tests 1

Version:        2.7.2
Name:           python-google-resumable-media
Release:        %autorelease
Summary:        Utilities for Google media downloads and resumable uploads

License:        Apache-2.0
URL:            https://github.com/googleapis/google-resumable-media-python
Source:         %{url}/archive/v%{version}/google-resumable-media-python-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  %{py3_dist pytest}
BuildRequires:  %{py3_dist brotli}
%endif

%global _description %{expand:
%{summary}.}

%description %{_description}


%package -n python3-google-resumable-media
Summary:        %{summary}

%description -n python3-google-resumable-media %{_description}


# We don’t build a metapackage for the aiohttp extra because it currently
# requires google-auth 1.x, and Fedora has version 2.x.
#
# Please consider supporting google-auth 2.x
# https://github.com/googleapis/google-resumable-media-python/issues/417
%pyproject_extras_subpkg -n python3-google-resumable-media requests


%prep
%autosetup -n google-resumable-media-python-%{version}


%generate_buildrequires
%pyproject_buildrequires -x requests


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l google


%check
%pyproject_check_import
%if %{with tests}
# Work around an usual pytest/PEP 420 issue where pytest can't import the
# installed module. Thanks to mhroncok for the help!
mv google{,_}
%pytest tests/unit
mv google{_,}
%endif


%files -n python3-google-resumable-media -f %{pyproject_files}
%doc CHANGELOG.md
%doc README.rst


%changelog
## START: Generated by rpmautospec
* Wed Aug 07 2024 Packit <hello@packit.dev> - 2.7.2-1
- Update to 2.7.2 upstream release
- Resolves: rhbz#2303579

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jun 10 2024 Packit <hello@packit.dev> - 2.7.1-1
- Update to 2.7.1 upstream release
- Resolves: rhbz#2291237

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 2.7.0-5
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 15 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 2.7.0-1
- Update to 2.7.0 (close RHBZ#2254228)

* Mon Jan 15 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 2.6.0-9
- Add metapackage for the requests extra

* Mon Jan 15 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 2.6.0-2
- Assert a license file is in .dist-info; don’t package a duplicate

* Mon Sep 11 2023 Major Hayden <major@redhat.com> - 2.6.0-1
- Update to 2.6.0

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 06 2023 Major Hayden <major@redhat.com> - 2.5.0-3
- Bump revision number

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 2.5.0-2
- Rebuilt for Python 3.12

* Tue Apr 25 2023 Major Hayden <major@redhat.com> - 2.5.0-1
- Update to 2.5.0 rhbz#2189333

* Wed Feb 22 2023 Major Hayden <major@redhat.com> - 2.4.1-2
- Set SPDX license

* Mon Feb 13 2023 Major Hayden <major@redhat.com> - 2.4.1-1
- Update to 2.4.1 rhbz#2162559

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Sep 30 2022 fkolwa <fkolwa@redhat.com> - 2.4.0-1
- Update to 2.4.0 rhbz#2131119 Newest release includes patch 329. Patch
  dependency removed accordingly.

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> - 2.3.3-2
- Rebuilt for Python 3.11

* Thu May 19 2022 Major Hayden <major@mhtx.net> - 2.3.3-1
- 🚀 Update to 2.3.3

* Wed Mar 09 2022 Major Hayden <major@mhtx.net> - 2.3.2-1
- Update to 2.3.2

* Fri Mar 04 2022 Major Hayden <major@mhtx.net> - 2.3.1-1
- Update to 2.3.1

* Thu Feb 10 2022 Major Hayden <major@mhtx.net> - 2.2.1-1
- Update to 2.2.1

* Mon Feb 07 2022 Major Hayden <major@mhtx.net> - 2.2.0-1
- Update to 2.2.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Oct 25 2021 Major Hayden <major@mhtx.net> - 2.1.0-1
- Update to 2.1.0

* Tue Sep 21 2021 Major Hayden <major@mhtx.net> - 2.0.3-1
- Update to 2.0.3

* Thu Sep 09 2021 Major Hayden <major@mhtx.net> - 2.0.2-2
- Move to rpmautospec

* Fri Sep 03 2021 Major Hayden <major@mhtx.net> - 2.0.2-1
- Update to 2.0.2

* Wed Sep 01 2021 Major Hayden <major@mhtx.net> - 2.0.1-1
- Update to 2.0.1

* Mon Aug 23 2021 Major Hayden <major@mhtx.net> - 1.3.1-1
- Initial import (#1983177)
## END: Generated by rpmautospec
